# coding: utf-8

"""
    FastAPI

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: 0.1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from openapi_client.api.users_api import UsersApi


class TestUsersApi(unittest.TestCase):
    """UsersApi unit test stubs"""

    def setUp(self) -> None:
        self.api = UsersApi()

    def tearDown(self) -> None:
        pass

    def test_create_user_users_post(self) -> None:
        """Test case for create_user_users_post

        Create User
        """
        pass

    def test_delete_users_users_delete(self) -> None:
        """Test case for delete_users_users_delete

        Delete Users
        """
        pass

    def test_list_users_users_get(self) -> None:
        """Test case for list_users_users_get

        List Users
        """
        pass

    def test_read_current_user_users_me_get(self) -> None:
        """Test case for read_current_user_users_me_get

        Read Current User
        """
        pass

    def test_update_user_users_id_patch(self) -> None:
        """Test case for update_user_users_id_patch

        Update User
        """
        pass


if __name__ == '__main__':
    unittest.main()
